h6{
    font-size: 24px;
    font-weight: 700;
    letter-spacing: -0.96px;
}
.custom-search-form {
	display: flex;
	align-items: center;
	justify-content: space-between;
	background: #fff;
	border-radius: 50px;
	padding: 10px 20px;
	box-shadow: 0 0 5px rgba(0,0,0,0.1);
	width: 100%;
	max-width: 450px;
	margin: 0 auto;
}

.custom-search-form .search-field {
  border: none;
  outline: none;
  flex: 1;
  font-size: 16px;
  color: #333;
}

.custom-search-form .search-submit {
  background: none;
  border: none;
  cursor: pointer;
  padding: 5px;
}

.custom-search-form svg {
  transition: transform 0.2s;
}

.custom-search-form .search-submit:hover svg {
  transform: scale(1.1);
}

.page-template-blogs span.font {
    display: inline-block;
}

.posts-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
}

.post-card {
    overflow: hidden;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    border-radius: 20px;
    background: var(--White, #FFF);
    box-shadow: 0 12px 16px -4px rgba(16, 24, 40, 0.08), 0 4px 6px -2px rgba(16, 24, 40, 0.03);
    padding: 24px 24px 32px 24px;
    display: flex;
    flex-direction: column;
}

.post-card:hover {
	transform: translateY(-4px);
	box-shadow: 0 6px 15px rgba(0,0,0,0.1);
}
.post-image img {
    width: 100%;
    height: 241px;
    object-fit: cover;
    border-radius: 20px;
}
.post-content {
    padding: 30px 0 0 0;
    text-align: left;
    text-decoration: none !important;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 1;
}
.post-card a {
    text-decoration: none;
}
.custom-posts-section h6 {
    color: var(--Gray-900, #101828);
    font-size: 24px;
    font-weight: 700;
    line-height: 32px;
    letter-spacing: -0.96px;
    text-decoration: none !important;
}
.custom-posts-section p.post-excerpt{
/* 	color: #192229;
	font-size: 16px;
	line-height: 24px; */
	letter-spacing: -0.64px;
}
a.read-more-btn {
    color: #F1562C;
    font-size: 14px;
    font-weight: 700;
    line-height: 20px;
    letter-spacing: -0.56px;
}

/* .post-title {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 10px;
  color: #222;
}
.post-excerpt {
  font-size: 15px;
  color: #555;
  margin-bottom: 10px;
} */

.post-meta {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-top: 35px;
}
.post-meta .author-avatar img {
	width: 48px;
	height: 48px;
	border-radius: 50%;
	object-fit: cover;
}

.post-meta .author-info {
	display: flex;
	flex-direction: column;
	line-height: 1.2;
}
.post-meta .author-name {
    color: var(--Gray-900, #101828);
    font-size: 14px;
    font-weight: 700;
    line-height: 20px;
    letter-spacing: -0.56px;
    text-transform: capitalize;
}
.post-meta .post-date {
	color: #797979;
	font-size: 14px;
	line-height: 20px; /* 142.857% */
	letter-spacing: -0.56px;
}
.pagination {
    text-align: center;
    margin: 70px 0 120px 0;
    display: block;
}
.pagination a, .pagination span {
    display: inline-block;
    padding: 14px 21px;
    margin: 0 4px;
    border-radius: 6px;
    background: #f3f3f3;
    text-decoration: none;
    color: #333;
    text-align: center;
    font-family: Halcom;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -0.9px;
}
.pagination .current {
  background: #ff4b2b;
  color: #fff;
}

.detail-post-image img {
    width: 100%;
    height: 596px;
    object-fit: cover;
    border-radius: 20px;
}
.single-post .post-meta {
    text-align: left;
}
.detail-post-content {
    text-align: left;
    margin-top: 40px;
    margin-bottom: 120px;
}
.detail-post-content p {
    margin-bottom: 85px;
    margin-top: 30px;
}
.detail-post-content ul {
    margin-bottom: 85px !important;
    margin-top: 30px !important;
}
.detail-post-content ul li {
    list-style: disc;
    margin-left: 20px;
    margin-bottom: 20px;
}
.last-content h5 {
    color: #192229;
    font-size: 24px;
    font-weight: 700;
    line-height: 24px;
    letter-spacing: -0.96px;
    margin-bottom: 40px;
}

.detail-contain {
    max-width: 69%;
    margin: 0 auto;
}
.blog-upper-info {
    padding-left: 0;
    padding-right: 0;
}


.detail-post-image {
    margin-top: 30px;
    position: relative;
    z-index: 0;
}
.detail-post-image:before {
    position: absolute;
    content: '';
    background: url('/../wp-content/uploads/2025/10/circle-before.png');
    width: 178px;
    height: 178px;
    top: -83px;
    right: -83px;
    z-index: -1;
}


@media only screen and (max-width: 1680px){
	
.posts-grid {
    grid-gap: 20px;
}
.custom-posts-section h6 {
    font-size: 20px;
    line-height: 26px;
}
	
.post-card {
    padding: 20px 20px 25px 20px;
}
	
.detail-contain {
    max-width: 85%;
}
.detail-post-image {
    margin-top: 60px;
}

}


@media only screen and (max-width: 1279px){

.custom-posts-section h6 {
    font-size: 18px;
    line-height: 22px;
}
.posts-grid {
    grid-template-columns: repeat(3, 1fr);
}

	
.detail-post-image img {
    height: auto;
}
.detail-post-image:before {
    display: none;
}
	
.detail-post-content p {
    margin-bottom: 45px;
    margin-top: 20px;
}
.detail-post-content ul {
    margin-bottom: 45px !important;
    margin-top: 20px !important;
}
	
}


@media only screen and (max-width: 991px) {
.posts-grid {
    grid-template-columns: repeat(2, 1fr);
}
	
.detail-contain {
    max-width: 90%;
}
.detail-post-image img {
    height: auto;
}
.detail-post-image {
    margin-top: 40px;
}
	
}


@media only screen and (max-width: 767px) {

.posts-grid {
    grid-template-columns: repeat(1, 1fr);
}
	
.custom-posts-section h6 {
    font-size: 17px;
}
	
.post-meta .author-name {
    font-size: 13px;
}
.post-meta .post-date {
	font-size: 12px;
}

.detail-post-content {
    margin-top: 30px;
    margin-bottom: 60px;
}
	
.detail-post-content ul li {
    margin-left: 15px;
    margin-bottom: 10px;
}
	
.detail-post-content p {
    margin-bottom: 25px;
    margin-top: 10px;
}
.detail-post-content ul {
    margin-bottom: 25px !important;
    margin-top: 10px !important;
}
	

}

/* client feedback  on 2 column product on mobile*/
@media (max-width: 667px) {

    aside.shop-sidebar {
        position: fixed;
        top: 55px;
        left: -80%;
        width: 80% !important;
        height: calc(100vh - 55px);
        background: #fff;
        z-index: 9999;
        overflow-y: auto;
        transition: left 0.35s ease;
        box-shadow: 0 0 20px rgba(0,0,0,0.15);
    }

    aside.shop-sidebar.active {
        left: 0;
        border: none !important;
        border-radius: 0;
		

    }

    .sidebar-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.45);
        z-index: 9998;
        display: none;
    }

    .sidebar-overlay.active {
        display: block;
    }

    .mobile-filter-btn {
         position: absolute;
        right: 15px;
        top: 80px;
        width: 40px;
        height: 40px;
        /* background: #000; */
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 10000;
        cursor: pointer;
        box-shadow: 0 6px 18px rgba(0,0,0,0.2);
    }

    .mobile-filter-btn img {
        width: 22px;
        height: 22px;
        display: block;
    }

    body.no-scroll {
        overflow: hidden;
    }
	
	    .product-title {
        font-size: 14px;
        margin-top: 0px;
        line-height: 24px;
    }
        .product-item {
        padding: 40px 10px;
        margin: 0 10px;
    }
    .product-image img {
        height: 100px;
    }
    .add-cart {
    width: 100px;
    height: 30px;
    padding: 0 5px 0 5px;

    }

    .add-cart:after {
    width: 25px;
    height: 25px;
    font-size: 15px;
}
        .discount-badge {
        width: 40px;
        height: 40px;
        top: 10px;
        left: 0;
    }
        .discount-badge span{
        font-size: 10px;
    }
        .discount-badge small {
        font-size: 6px;
    }
    .wishlist-iconn
 {
    width: 25px;
    height: 25px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
    backdrop-filter: blur(10px);
    position: absolute;
    right: 5px;
    top: 15px;
}
    .wishlist-iconn .yith-wcwl-icon {
    width: 15px !important;
}
    .quantity-control {
    display: flex;
    align-items: center;
    padding: 0 5px;
    width: 100px;
    height: 30px;
    background-color: #fff;
    border-radius: 50px;
    position: absolute;
    top: 0;
    transform: translateX(200px);
    transition: all 0.5s ease-in;
}
.quantity-control button {
    background-image: url(../images/cartbtngrad.svg);
    background-size: cover;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-size: 15px;
    font-weight: 400;
    color: white;
    padding: 0;
    border: none;
    flex-shrink: 0;
}
.quantity-control input {
    width: 100%;
    padding: 0 !important;
    appearance: none !important;
    text-align: center;
    background: none;
    border: none;
    color: #192229;
    font-size: 12px;
    font-weight: 700;
    letter-spacing: -0.6px;
    outline: none;
    padding-left: 0px !important;
}
	    .add-cart {
        font-size: 10px;
    }
	    .discount-badge {
        width: 35px;
        height: 35px;
    }
	    .discount-badge span {
        font-size: 10px;
    }
	    .discount-badge small {
        font-size: 7px;
    }
	.tabs-products .product-item {
 overflow: hidden;
}
.tabs-products
 {
        grid-template-columns: repeat(2, 1fr);
    }
	    ul.shop-product {
        grid-template-columns: repeat(2, 1fr);
    }
}




@media (min-width: 668px) {
    .mobile-filter-btn,
    .sidebar-overlay {
        display: none !important;
    }
}

/* client feedback  on 2 column product on mobile end*/